Get required field names for invoice creation

Get field requirements for invoice creation given the entity and counterpart details.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Query parameters

counterpart_idstringOptionalformat: "uuid"
counterpart_billing_address_idstringOptionalformat: "uuid"
counterpart_countryenumOptional
counterpart_typeenumOptional
Allowed values:
entity_vat_id_idstringOptionalformat: "uuid"
counterpart_vat_id_idstringOptionalformat: "uuid"

Response

Successful Response
counterpartobject
Object describing the required fields for counterpart
entityobject
Object describing the required fields for entity
line_itemobject
Object describing the required fields for line items

Errors

401
Get Receivables Required Fields Request Unauthorized Error
422
Get Receivables Required Fields Request Unprocessable Entity Error
429
Get Receivables Required Fields Request Too Many Requests Error